/*
 * disp.c
 *
 *  Created on: Nov 13, 2023
 *      Author: marci
 */

#include "disp.h"

void DISP_SetSegments(enum dispSeg seg)
{
	HAL_GPIO_WritePin(DISP_A_GPIO_Port, DISP_A_Pin, seg & dispSegA);
	HAL_GPIO_WritePin(DISP_B_GPIO_Port, DISP_B_Pin, seg & dispSegB);
	HAL_GPIO_WritePin(DISP_C_GPIO_Port, DISP_C_Pin, seg & dispSegC);
	HAL_GPIO_WritePin(DISP_D_GPIO_Port, DISP_D_Pin, seg & dispSegD);
	HAL_GPIO_WritePin(DISP_E_GPIO_Port, DISP_E_Pin, seg & dispSegE);
	HAL_GPIO_WritePin(DISP_F_GPIO_Port, DISP_F_Pin, seg & dispSegF);
	HAL_GPIO_WritePin(DISP_G_GPIO_Port, DISP_G_Pin, seg & dispSegG);

}
void DISP_SetPositions(enum dispPos pos)
{
	HAL_GPIO_WritePin(DISP_COM1_GPIO_Port, DISP_COM1_Pin, !(pos & dispPos1));
	HAL_GPIO_WritePin(DISP_COM2_GPIO_Port, DISP_COM2_Pin, !(pos & dispPos2));
	HAL_GPIO_WritePin(DISP_COM3_GPIO_Port, DISP_COM3_Pin, !(pos & dispPos3));
	HAL_GPIO_WritePin(DISP_COM4_GPIO_Port, DISP_COM4_Pin, !(pos & dispPos4));
}

void DISP_SetDigit(uint8_t digit)
{
	if (digit <= 9)
		DISP_SetSegments(dispDigitMap[digit]);
}
