/*
 * disp.h
 *
 *  Created on: Nov 13, 2023
 *      Author: marci
 */

#ifndef INC_DISP_H_
#define INC_DISP_H_

#include "main.h"

enum dispPos {
	dispTurnOff = 0x00, dispPos1 = 0x01, dispPos2 = 0x02, dispPos3 = 0x04, dispPos4 = 0x08,
};
enum dispSeg {
	dispSegA = 0x01,
	dispSegB = 0x02,
	dispSegC = 0x04,
	dispSegD = 0x08,
	dispSegE = 0x10,
	dispSegF = 0x20,
	dispSegG = 0x40
};
enum dispDigit {
	disp0 = dispSegA | dispSegB | dispSegC | dispSegD | dispSegE | dispSegF,
	disp1 = dispSegB | dispSegC,
	disp2 = dispSegA | dispSegB | dispSegD | dispSegE | dispSegG,
	disp3 = dispSegA | dispSegB | dispSegC | dispSegD | dispSegG,
	disp4 = dispSegB | dispSegC | dispSegF | dispSegG,
	disp5 = dispSegA | dispSegC | dispSegD | dispSegF | dispSegG,
	disp6 = dispSegA | dispSegC | dispSegD | dispSegE | dispSegF | dispSegG,
	disp7 = dispSegA | dispSegB | dispSegC,
	disp8 = dispSegA | dispSegB | dispSegC | dispSegD | dispSegE | dispSegF | dispSegG,
	disp9 = dispSegA | dispSegB | dispSegC | dispSegD | dispSegF | dispSegG,

};

static const enum dispDigit dispDigitMap[] = { disp0, disp1, disp2, disp3, disp4, disp5, disp6, disp7, disp8, disp9 };

void DISP_SetPositions(enum dispPos pos);
void DISP_SetSegments(enum dispSeg seg);
void DISP_SetDigit(uint8_t digit);

#endif /* INC_DISP_H_ */
